summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2021-03-23 17:38:23 +0000
committerKarl Berry <karl@freefriends.org>2021-03-23 17:38:23 +0000
commitb3c12038d1f9a00b45821529e36264f4a24a1fd6 (patch)
tree9c7da2236e0471544cb5fceae06295443123563a
parent3d793cdd005237f088f9d40b05a8ea1699b9032a (diff)
(MAKEINST): skip symlinks when creating iso, since they're
incompatible with Joliet and we don't need them. git-svn-id: svn://tug.org/texlive/trunk@58654 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images9
1 files changed, 7 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index fa7d0a8d474..7ea87ad967d 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -114,7 +114,12 @@ MAKEINST ()
echo "$0: no install-tl in `pwd`, goodbye." >&2
exit 1
fi
- cp -pr install-tl *.bat tlpkg archive $imgdir || exit 1
+ cp -pr install-tl *.bat tlpkg $imgdir || exit 1
+ # omit symlinks because we don't actually need them and since we want
+ # to make Joliet images (though probably not actually needed anymore),
+ # every symlink provokes a warning.
+ find archive -type l -prune -o -type f -print \
+ | xargs cp --target-directory=$imgdir
#
# Save all tlpdb files before pruning platforms; these will be posted
# to historic later; see releng.txt.
@@ -250,7 +255,7 @@ do_tar ()
MAKETAR ()
{
- echo; echo "-- `date` writing tars to $target"
+ echo; echo "-- `date` writing tars to $target" # ~2 hours
# remove old tarballs and checksums.
rm -f $target/$NAME-*.tar.*